## octave-nan 1.0.6

=== DESCRIPTION ===
Name: NaN
Version: 1.0.6
Date: 2008-04-29
Author: Alois Schloegl <a.schloegl@ieee.org>
Maintainer: Matthew W. Roberts
Title: NaN statisical toolbox
Description: Missing value statistical toolbox
Depends: octave (>= 2.9.7)
License: GPL version 2 or later
Url: http://www.dpmi.tu-graz.ac.at/~schloegl/matlab/NaN
