## octave-nan 1.0.8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: NaN
-Version: 1.0.6
-Date: 2008-04-29
+Version: 1.0.8
+Date: 2009-05-03
 Author: Alois Schloegl <a.schloegl@ieee.org>
 Maintainer: Matthew W. Roberts
 Title: NaN statisical toolbox
