## octave-nan 1.0.9

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Name: NaN
-Version: 1.0.8
+Version: 1.0.9
 Date: 2009-05-03
 Author: Alois Schloegl <a.schloegl@ieee.org>
 Maintainer: Matthew W. Roberts
