=== debian/changelog ===
octave-nan (1.0.9-2) unstable; urgency=low

  * debian/control: 
    - Remove Rafael Laboissiere from Uploaders (Closes: #571853)
    - Remove Ólafur Jens Sigurðsson <ojsbug@gmail.com> from Uploaders 
  * New patch: fix_empty_opt_argument_for_var: correctly handle the case of an
    empty second argument for var() (closes: #594906).
  * Switch to dpkg-source 3.0 (quilt) format

 -- Thomas Weber <tweber@debian.org>  Wed, 01 Sep 2010 22:52:55 +0200

octave-nan (1.0.9-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/patches/autoload-yes.diff: Drop this patch.  This package
    should not be autoloaded since it overrides the standard functions
    provided in octave3.0.
  * debian/control, debian/rules: Adjust to not use quilt anymore
  * debian/README.source: Removed file
  * debian/NEWS: Add a note explaining the change above
  * debian/control: Build-depend on octave-pkg-dev >= 0.7.0, such that the
    package is built against octave3.2

  [ Thomas Weber ]
  * New upstream release.
  * Use debian/octave-nan.docs for installation, following the change to
    octave-pkg-dev 0.7.1. Adjust debian/rules for this change.

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Tue, 29 Dec 2009 23:45:06 +0100

octave-nan (1.0.8-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + (Standards-Version): Bump to 3.8.1 (add file debian/README.source)
    + (Depends): Add ${misc:Depends}
    + (Vcs-Git, Vcs-Browser): Adjust to new Git repository
  * debian/copyright: Use DEP5 URL in Format-Specification
  * debian/patches/autoload-yes.diff: Add description

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 24 May 2009 15:19:15 +0200

octave-nan (1.0.7-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/copyright: Add header
  * debian/control: Bump build-dependency on octave-pkg-dev to >= 0.6.4,
    such that the package is built with the versioned packages directory

  [ Thomas Weber ]
  * Upload to unstable (closes: #501016)

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sun, 05 Apr 2009 21:20:57 +0200

octave-nan (1.0.7-1) experimental; urgency=low

  [ Ólafur Jens Sigurðsson ]
  * debian/control: Bumped Standards-Version to 3.8.0 (no changes
    needed)

  [ Thomas Weber ]
  * New upstream release, handles empty second argument to std() correctly
    (closes: #500252)
  * Bump dependency on octave-pkg-dev to 0.6.1, to get the experimental
    version

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Thu, 11 Dec 2008 00:32:40 +0100

octave-nan (1.0.6-1) unstable; urgency=low

  * Initial release (closes: #481484)

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 16 May 2008 14:09:37 +0000
