=== debian/control ===
Source: octave-nan
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Thomas Weber <thomas.weber.mail@gmail.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 6), cdbs, octave-pkg-dev (>= 0.7.0)
Standards-Version: 3.8.1
Homepage: http://octave.sourceforge.net/nan/
Vcs-Git: git://git.debian.org/git/pkg-octave/octave-nan.git
Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-nan.git

Package: octave-nan
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
Description: handles data with and without missing values in Octave
 This package allows the handling of data with and without missing
 values by using NaN in Octave. Features of this package includes:
 implement of the statistical tools, supports DIM argument, supports
 unbiased estimation significance test, confidence intervals and
 Spearman`s rank correlation included in CORRCOEF.
 .
 Be warned that this package changes the way NaNs are handled in Octave!
 .
 This Octave add-on package is part of the Octave-Forge project.
