## octave-nan 2.3.1

=== DESCRIPTION ===
Name: NaN
Version: 2.3.1
Date: 2010-09-08
Author: Alois Schloegl <a.schloegl@ieee.org>
Maintainer: Alois Schloegl
Title: The NaN-toolbox
Description: A statistics and machine learning toolbox for Octave and Matlab for data with and w/o missing values.
Depends: octave (> 2.9.0)
License: GPL version 3 or later
Url: http://biosig-consulting.com/matlab/NaN
