=== debian/changelog ===
octave-nan (2.3.1-2) experimental; urgency=low

  * Run test suite via debian/check.m
  * New patch: fprintf_does_not_like_cells, fixes a problem with fprintf in
    the test suite

 -- Thomas Weber <tweber@debian.org>  Sat, 02 Oct 2010 23:48:41 +0200

octave-nan (2.3.1-1) experimental; urgency=low

  * New upstream version (closes: 595811)
  * Adapt watch file for individual package releases
  * Dropped patches: fix_empty_opt_argument_for_var (applied upstream)

 -- Thomas Weber <tweber@debian.org>  Sun, 26 Sep 2010 19:31:17 +0200
