=== debian/changelog ===
octave-nan (2.4.1-2) unstable; urgency=low

  * Add patch fix_makefile, for adapting the values to Octave 3.2

 -- Thomas Weber <tweber@debian.org>  Sun, 15 May 2011 13:19:17 +0200

octave-nan (2.4.1-1) unstable; urgency=low

  * New upstream release
  * Bump standards version to 3.9.1, no changes required

 -- Thomas Weber <tweber@debian.org>  Tue, 26 Apr 2011 11:30:23 +0200
