=== debian/watch ===
version=3
http://octave.sourceforge.net/packages.php \
    http://sourceforge.net/projects/octave/files/Octave%20Forge%20Packages/Individual%20Package%20Releases/nan-([\d.]+)\.tar\.gz/download
