## octave-nan 2.4.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: NaN
-Version: 2.4.1
-Date: 2011-04-20
+Version: 2.4.4
+Date: 2011-05-27
 Author: Alois Schloegl <alois.schloegl@gmail.com>
 Maintainer: Alois Schloegl
 Title: The NaN-toolbox
