=== debian/changelog ===
octave-nan (2.4.4-1) unstable; urgency=low

  [ Sébastien Villemot ]
  * Imported Upstream version 2.4.4
  * Bump Standards-Version to 3.9.2, no changes needed
  * debian/copyright: reflect changes in the upstream package, upgrade to DEP5
  * debian/watch: use qa.debian.org's sf.net redirector
  * debian/patches/fix_makefile: refresh patch
  * debian/rules:
    + use our own clean rule to make the package idempotent
    + do not include MATLAB build script in package
  * Bump to debhelper compatibility level 8
  * Add myself to Uploaders

 -- Thomas Weber <tweber@debian.org>  Thu, 06 Oct 2011 23:12:35 +0200
