=== debian/changelog ===
octave-nan (2.5.2-1) unstable; urgency=low

  * Imported Upstream version 2.5.2
  * debian/copyright: update to machine-readable format 1.0
  * Bump to debhelper compat level 9
  * Build-depend on octave-pkg-dev >= 1.0.0, to compile against Octave 3.6
  * Bump to Standards-Version 3.9.3, no changes needed
  * debian/patches/fprintf_does_not_like_cells: remove patch, applied upstream

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Mon, 12 Mar 2012 21:02:58 +0000
