=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: Thomas Weber <tweber@debian.org>,
            Sébastien Villemot <sebastien.villemot@ens.fr>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 8), cdbs, octave-pkg-dev (>= 0.7.0)
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.0)
+Standards-Version: 3.9.3
 Homepage: http://octave.sourceforge.net/nan/
 Vcs-Git: git://git.debian.org/git/pkg-octave/octave-nan.git
 Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-nan.git
