=== debian/watch ===
version=3
http://sf.net/octave/nan-([\d.]+)\.tar\.gz
