## octave-nan 2.5.5

=== DESCRIPTION ===
Name: NaN
Version: 2.5.5
Date: 2012-04-03
Author: Alois Schloegl <alois.schloegl@gmail.com>
Maintainer: Alois Schloegl
Title: The NaN-toolbox
Description: A statistics and machine learning toolbox for Octave and Matlab for data with and w/o missing values.
Depends: octave (> 3.2.0)
License: GPL version 3 or later
Url: http://pub.ist.ac.at/~schloegl/matlab/NaN
Autoload: no
