=== debian/changelog ===
octave-nan (2.5.5-2) unstable; urgency=low

  * hurd.patch: new patch (Closes: #670073)

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Mon, 23 Apr 2012 23:02:12 +0200

octave-nan (2.5.5-1) unstable; urgency=low

  * Imported Upstream version 2.5.5
  * debian/control: mention in long description that package is not autoloaded
  * Describe how to load the package in README.Debian
  * debian/copyright: reflect upstream changes

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Tue, 03 Apr 2012 19:43:39 +0200
