=== debian/control ===
--- 
+++ 
@@ -21,6 +21,7 @@
  unbiased estimation significance test, confidence intervals and
  Spearman`s rank correlation included in CORRCOEF.
  .
- Be warned that this package changes the way NaNs are handled in Octave!
+ This package changes the way NaNs are handled in Octave. In order to use
+ its functions, the user must explicitly ask Octave to load the package.
  .
  This Octave add-on package is part of the Octave-Forge project.
