## octave-nan 2.5.9

=== DESCRIPTION ===
Name: NaN
Version: 2.5.9
Date: 2014-01-13
Author: Alois Schloegl <alois.schloegl@gmail.com>
Maintainer: Alois Schloegl
Title: The NaN-toolbox
Description: A statistics and machine learning toolbox for Octave and Matlab for data with and w/o missing values.
Depends: octave (> 3.2.0)
License: GPLv3+
Url: http://pub.ist.ac.at/~schloegl/matlab/NaN
