=== src/Makefile ===
--- 
+++ 
@@ -1,22 +1,25 @@
 ####################################################
-# Copyright 2010, 2011 Alois Schloegl 
+# Copyright 2010, 2011,2012 Alois Schloegl 
 # This is part of the NaN-toolbox - a statistics and machine learning toolbox for data with and without missing values. 
 # http://pub.ist.ac.at/~schloegl/matlab/NaN/
 ####################################################
 
 ### modify directories according to your needs 
 
+# Define non-default octave-version 
 # Octave - global install  (e.g. from debian package)
-# OCTAVE_VERSION = 
+# OCTAVE_VERSION= 
+# Better alternative: define an OCTAVE_VERSION bash variable (or in .bashrc or .profile)
+# OCTAVE_VERSION=-3.6.3
 
 # Matlab configuration
-MATLABDIR = /usr/local/MATLAB/R2010b
+#MATLABDIR = /usr/local/MATLAB/R2010b
 # comment the following line if you use MATLAB on 32-bit operating system
 MEX_OPTION += -largeArrayDims
 
 # Mingw crosscompiler: available at http://www.nongnu.org/mingw-cross-env/
-CROSS   = $(HOME)/src/mingw-cross-env/usr/bin/i686-pc-mingw32-
-CROSS64 = $(HOME)/src/mce-w64/usr/bin/x86_64-w64-mingw32-
+CROSS   = $(HOME)/src/mxe.github.schloegl/usr/bin/i686-pc-mingw32-
+CROSS64 = $(HOME)/src/mxe.github.schloegl/usr/bin/x86_64-w64-mingw32-
 # include directory for Win32-Matlab include
 W32MAT_INC = $(HOME)/bin/win32/Matlab/R2010b/extern/include/
 W64MAT_INC = $(HOME)/bin/win64/Matlab/R2010b/extern/include/
@@ -34,17 +37,34 @@
 OCTMEX	= mkoctfile$(OCTAVE_VERSION) --mex
 RM      = rm
 
-MEX_OPTION  += -lgomp CC\#$(CXX) CXX\#$(CXX) CFLAGS\#"$(CFLAGS)" CXXFLAGS\#"$(CFLAGS)"
+MEX_OPTION  += -lgomp CC\#$(CXX) CXX\#$(CXX) CFLAGS\#"$(CFLAGS) " CXXFLAGS\#"$(CFLAGS) "
 MATMEX      = $(MATLABDIR)/bin/mex $(MEX_OPTION)
 
 PROGS = histo_mex.mex covm_mex.mex kth_element.mex sumskipnan_mex.mex str2array.mex train.mex svmtrain_mex.mex svmpredict_mex.mex xptopen.mex 
 
+### per default only the mex-files for octave are built
 mex4o octave: $(PROGS)
 
-ifneq ( , $(ls -1 $(MATLABDIR) ) )
-MEX_EXT = $(shell $(MATLABDIR)/bin/mexext)
-mex4m matlab: $(patsubst %.mex, %.$(MEX_EXT), $(PROGS))
+
+### Matlab configuration - search for a matlab directory if not defined above
+ifndef MATLABDIR
+  ifneq ('',$(shell ls -1 /usr/local/MATLAB))
+    # use oldest, typically mex-files a compatible with newer Matlab versions 
+    MATLABDIR=$(shell ls -dt1 /usr/local/MATLAB/R* |tail -1)
+    # alternatively, use latest matlab version
+    #MATLABDIR=$(shell ls -dt1 /usr/local/MATLAB/R* |head -1)
+  endif
 endif
+
+### if the MATLABDIR has been found or defined 
+ifneq ('',MATLABDIR)
+  ifneq ('',$(lshell ls -1 $(MATLABDIR)))
+    MEX_EXT = $(shell $(MATLABDIR)/bin/mexext)
+    mex4m matlab: $(patsubst %.mex, %.$(MEX_EXT), $(PROGS))
+  endif
+endif
+
+
 mexw32 win32:  $(patsubst %.mex, %.mexw32, $(PROGS))
 mexw64 win64:  $(patsubst %.mex, %.mexw64, $(PROGS))
 all:    octave win32 win64 mex4m
@@ -52,7 +72,7 @@
 clean:
 	-$(RM) *.o *.obj *.o64 core octave-core *.oct *~ *.mex* 
 
-$(PROGS): Makefile
+#$(PROGS): Makefile
 
 #########################################################
 #	Octave, MATLAB on Linux
