=== debian/changelog ===
octave-nan (2.5.9-1build1) trusty; urgency=medium

  * Rebuild for octave 3.8.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Feb 2014 18:26:30 +0000

octave-nan (2.5.9-1) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * Imported Upstream version 2.5.9
  * debian/copyright: Adjust for new upstream release
  * Drop patches hurd.patch and fix_makefile (applied upstream)
  * Remove obsolete DM-Upload-Allowed flag
  * Bump to Standards-Version 3.9.5, no changes needed

  [ Sébastien Villemot ]
  * Use my @debian.org email address

  [ Thomas Weber ]
  * debian/control: Use canonical URLs in Vcs-* fields

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 27 Jan 2014 19:08:39 +0100
