=== debian/watch ===
version=3
http://sf.net/octave/nan-(.+)\.tar\.gz
