## octave-nan 2.8.1

=== DESCRIPTION ===
Name: NaN
Version: 2.8.1
Date: 2015-07-06
Author: Alois Schloegl <alois.schloegl@ist.ac.at>
Maintainer: Alois Schloegl
Title: The NaN-toolbox
Description: A statistics and machine learning toolbox for data with and w/o missing values
Depends: octave (> 3.2.0)
License: GPLv3+
Url: http://pub.ist.ac.at/~schloegl/matlab/NaN
Autoload: no
SVNRelease: $Rev: 12813 $
