=== debian/changelog ===
octave-nan (2.8.1-1ubuntu2) wily; urgency=medium

  * Try harder.

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Sat, 15 Aug 2015 19:28:32 +0100

octave-nan (2.8.1-1ubuntu1) wily; urgency=medium

  * Call the linker with -fopenmp.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 15 Aug 2015 14:14:26 +0200

octave-nan (2.8.1-1build1) wily; urgency=medium

  * No-change rebuild against liboctave3

 -- Matthias Klose <doko@ubuntu.com>  Sat, 15 Aug 2015 12:00:47 +0000

octave-nan (2.8.1-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Imported Upstream version 2.8.1
  * d/copyright: reflect upstream changes.
  * Add Rafael Laboissiere and Mike Miller to Uploaders.

  [ Rafael Laboissiere ]
  * Bump Standards-Version to 3.9.6 (no changes needed)

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 20 Jul 2015 10:56:25 +0200

octave-nan (2.5.9-2) unstable; urgency=medium

  * reduce_test_memory_footprint.patch: new patch, reduces memory usage of
    tests. Should fix FTBFS on mips and mipsel. Thanks to Thomas Weber for
    investigating and finding the solution.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 01 Mar 2014 15:55:19 +0100
