=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/cdbs/1/class/octave-pkg.mk

# Do not use the clean target provided by the package: it will delete the
# binary MATLAB MEX files, which we cannot regenerate, hence making the package
# build not idempotent. Instead, use our own clean rule.
DEB_MAKE_CLEAN_TARGET = dummy

# Also clean test file and MATLAB build script (this script is automatically
# copied from src/ to inst/ by Octave packaging system)
clean::
	rm -f src/*.o src/*.mex
	rm -f test/debug.mat inst/make.m

# Don't include MATLAB build script in the package
clean-files::
	find debian/ -name make.m | xargs rm
