## octave-nan 3.0.3

=== debian/changelog ===
octave-nan (3.0.3-1) unstable; urgency=medium

  * Imported Upstream version 3.0.3
  * d/p/build-against-libsvm-dev.patch: Adjust for new API of libsvm

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 14 Aug 2016 11:55:47 -0300

octave-nan (3.0.2-2) unstable; urgency=medium

  * Build against libsvm-dev (Closes: 833940)
    + d/control: Build-depends on libsvm-dev
    + d/p/build-against-libsvm-dev.patch: New patch

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 13 Aug 2016 08:52:45 -0300

octave-nan (3.0.2-1) unstable; urgency=medium

  * Imported Upstream version 3.0.2
  * Bump Standards-Version to 3.9.8 (no changes needed)

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 04 Aug 2016 11:52:07 -0300

octave-nan (3.0.1-1) unstable; urgency=medium

  * Imported Upstream version 3.0.1

 -- Rafael Laboissiere <rafael@laboissiere.net>  Thu, 17 Mar 2016 13:37:05 +0100

octave-nan (3.0-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Imported Upstream version 3.0

  [ Rafael Laboissiere ]
  * d/control: Use secure URIs in the Vcs-* fields
  * d/control: Bump Standards-Version to 3.9.7 (no changes needed)

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 19 Feb 2016 22:23:51 +0100
